services:
  kami_boss:
    build:
      context: ..
      dockerfile: ./deploy/Dockerfile
      args:
        - USE_PROXY=1
    container_name: $CONTAINER
    image: kami_boss:$VERSION
    restart: always
    ports:
      - "127.0.0.1:$PORT:12306"
    volumes:
      - /data/kami/$CONTAINER/conf/:/app/conf/
      - /data/kami/$CONTAINER/logs/:/app/logs/
    networks:
      - 1panel-network
    labels:
      createdBy: Developer

networks:
  1panel-network:
    external: true
